<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_AdjustmentsForDecreaseIncreaseInPrepayments">Ajustari pentru scaderea cresterea platilor în avans</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_CashGeneratedFromWorkingCapitalChanges">Numerar generat de modificarile in capitalul circulant</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_ConsumableMaterialsAndRepairMaterials">Materiale consumabile si necesar reparatii</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_FinancialResult">Rezultat financiar</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_IncreaseInPremiumsDueToDifferenceBetweenFairValueAndCostOfOwnSharesWhenTheExchangeWasMade">Cresterea primelor datorita diferentei dintre valoarea justa si costul capitalurilor proprii la momentul efectuarii schimbului</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_OtherLongTermDebt">Alte datorii pe termen lung</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_OtherNonMonetaryGains">Alte venituri nemonetare</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_ShareCapitalAndSharePremium">Capital emis și prime de capital</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ro" xlink:label="label_ThirdPartyExpensesIncludingDoctorAgreements">Cheltuieli cu terti (inclusiv contracte cu medici)</link:label>
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_AdjustmentsForDecreaseIncreaseInPrepayments" xlink:label="AdjustmentsForDecreaseIncreaseInPrepayments" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_CashGeneratedFromWorkingCapitalChanges" xlink:label="CashGeneratedFromWorkingCapitalChanges" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_ConsumableMaterialsAndRepairMaterials" xlink:label="ConsumableMaterialsAndRepairMaterials" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_FinancialResult" xlink:label="FinancialResult" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_IncreaseInPremiumsDueToDifferenceBetweenFairValueAndCostOfOwnSharesWhenTheExchangeWasMade" xlink:label="IncreaseInPremiumsDueToDifferenceBetweenFairValueAndCostOfOwnSharesWhenTheExchangeWasMade" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_OtherLongTermDebt" xlink:label="OtherLongTermDebt" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_OtherNonMonetaryGains" xlink:label="OtherNonMonetaryGains" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_ShareCapitalAndSharePremium" xlink:label="ShareCapitalAndSharePremium" />
    <link:loc xlink:type="locator" xlink:href="254900RJWPQ4SLGCPI85-2022-12-31.xsd#MEDLI_ThirdPartyExpensesIncludingDoctorAgreements" xlink:label="ThirdPartyExpensesIncludingDoctorAgreements" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInPrepayments" xlink:to="label_AdjustmentsForDecreaseIncreaseInPrepayments" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashGeneratedFromWorkingCapitalChanges" xlink:to="label_CashGeneratedFromWorkingCapitalChanges" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConsumableMaterialsAndRepairMaterials" xlink:to="label_ConsumableMaterialsAndRepairMaterials" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialResult" xlink:to="label_FinancialResult" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseInPremiumsDueToDifferenceBetweenFairValueAndCostOfOwnSharesWhenTheExchangeWasMade" xlink:to="label_IncreaseInPremiumsDueToDifferenceBetweenFairValueAndCostOfOwnSharesWhenTheExchangeWasMade" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherLongTermDebt" xlink:to="label_OtherLongTermDebt" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherNonMonetaryGains" xlink:to="label_OtherNonMonetaryGains" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShareCapitalAndSharePremium" xlink:to="label_ShareCapitalAndSharePremium" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ThirdPartyExpensesIncludingDoctorAgreements" xlink:to="label_ThirdPartyExpensesIncludingDoctorAgreements" order="1" />
  </link:labelLink>
</link:linkbase>